Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.format
Class DefaultCurrencyFormatter

`java.lang.Object
java.text.Format
oracle.jbo.format.Formatter
oracle.jbo.format.DefaultCurrencyFormatter`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class DefaultCurrencyFormatter
extends Formatter

Formatter class which understands how to format currency values.

Version:
  SDK
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.text.Format
`java.text.Format.Field`

Constructor Summary
`DefaultCurrencyFormatter()` Constructor

Method Summary
`java.lang.StringBuffer` | `format(java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
`java.lang.String` | `format(java.lang.String formatString, java.lang.Object rawData)` format raw data according to the format specified.
`java.lang.String` | `getDefaultFormatString()`
`LocaleContext` | `getLocale()`
`java.lang.Object` | `parse(java.lang.String formatString, java.lang.String parseThisString)` parse this string according to the format specified and return an object
`java.lang.Object` | `parseObject(java.lang.String parseThisString, java.text.ParsePosition status)`
`void` | `setLocale(LocaleContext thisLocale)` define locale to be used.

Methods inherited from class java.text.Format
`clone, format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCurrencyFormatter

    public DefaultCurrencyFormatter()

  Constructor

Method Detail

### format

    public java.lang.String format(java.lang.String formatString,
                                   java.lang.Object rawData)
                            throws FormatErrorException

  format raw data according to the format specified.

  This formatter ignores the format string passed to it.

  Specified by:
    `format` in class `Formatter`
  Parameters:
    `formatString` - code to define how the raw data should be formatted.
    `rawData` - data which needs to be formatted.
  Returns:
    formatted string
  Throws:
    `FormatErrorException` - if unable to format the data according to the format specified.

### parse

    public java.lang.Object parse(java.lang.String formatString,
                                  java.lang.String parseThisString)
                           throws java.text.ParseException

  parse this string according to the format specified and return an object
  Specified by:
    `parse` in class `Formatter`
  Parameters:
    `formatString` - code to define how the raw data should be parsed.
    `parseThisString` - data which needs to be parsed.
  Returns:
    object which represents the string parsed.
  Throws:
    `java.text.ParseException` - when unable to parse data according to the format specified.

### setLocale

    public void setLocale(LocaleContext thisLocale)
                   throws UnknownLocaleException

  define locale to be used. Formatter will need to make locale specific formatting if applicable
  Specified by:
    `setLocale` in class `Formatter`
  Parameters:
    `thisLocale` - locale to be used
  Throws:
    `UnknownLocaleException` - if the formatter does'nt support the specified Locale.

### getLocale

    public LocaleContext getLocale()

  Specified by:
    `getLocale` in class `Formatter`
  Returns:
    Locale currently in use

### parseObject

    public java.lang.Object parseObject(java.lang.String parseThisString,
                                        java.text.ParsePosition status)

  Parameters:
    `parseThisString` - data which needs to be parsed
    `status` - parse to start from this position
  Returns:
    object which represents the string parsed

### format

    public java.lang.StringBuffer format(java.lang.Object obj,
                                         java.lang.StringBuffer toAppendTo,
                                         java.text.FieldPosition pos)

  Parameters:
    `obj` - object which needs to be formatted
    `toAppendTo` - appended formatted string here
    `pos` - additional information about the formatting performed. see java.text.FieldPosition for more information
  Returns:
    formatted string

### getDefaultFormatString

    public java.lang.String getDefaultFormatString()

  Overrides:
    `getDefaultFormatString` in class `Formatter`
  Returns:
    the default format string to use for format/parse requests processed by this formatter type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.